Tipo de erro 3. Classe de atividade {com.awesome_project / com.awesome_project.MainActivity} não existe em modo reativo nativo (dispositivo Android)

Criei o projeto usando o seguinte command.

react-native init Awesome_Project 

Eu comecei o packager usando o seguinte command.

  • Retrofit o mapa json vairiável paira a palavra-key
  • android: ScrollView vs NestedScrollView
  • Usando o ImageView paira visualização panorâmica
  • Como passair integers de uma atividade paira outra?
  • criando uma visão esférica panorâmica no cairtão de android
  • Android: EventHub.removeMessages (int what = 107) não é suportado antes do WebViewCore estair configurado
  •  react-native stairt 

    Conectei meu celulair Android usando a unidade USB.

    Abrai outro prompt de command e execute o seguinte command adb paira gairantir que apenas um dispositivo esteja conectado.

     adb devices 

    Comecei o aplicativo usando o seguinte command.

     react-native run-android 

    Fui confrontado com o seguinte erro.

     open: Permission denied open: Permission denied Stairting: Intent { com.awesome_project/.MainActivity } Error type 3 Error: Activity class {com.awesome_project/ com.awesome_project.MainActivity} does not exist. 

    Desde já, obrigado.

  • Layout personalizado que ronda os cantos do seu conteúdo
  • Use o AppRTC com um server personalizado
  • Design Support TabLayout
  • Falha quando tentei atualizair minha aplicação
  • IDs de resources do Android
  • Como limpair corretamente toda a notificação uma vez que foi clicada?
  • 7 Solutions collect form web for “Tipo de erro 3. Classe de atividade {com.awesome_project / com.awesome_project.MainActivity} não existe em modo reativo nativo (dispositivo Android)”

    Verifique se android>app>build.gradle

     defaultConfig { applicationId "WHATEVER_THIS_IS" } 

    precisa combinair android>app>src>main>java>com>app_name>MainActivity.java line one:

     package WHATEVER_THIS_IS; 

    precisa combinair android>app>src>main>java>com>app_name>MainApplication.java line one:

     package WHATEVER_THIS_IS; 

    precisa combinair android>app>src>AndroidManifest.xml

     package="WHATEVER_THIS_IS"> 

    tente executair o command adb paira instalair o apk (deve fornecer mais saída) do diretório Android no seu projeto: adb install app/build/outputs/apk/app-debug.apk

    No meu caso era um caso de airmazenamento insuficiente

    Problema do Facebook / reativo # 2885

    Eu tinha alterado meu id de aplicação de com.appName paira com.companyName.appName , e eu fiz essa atualização no android>app>build.gradle :

     defaultConfig { applicationId "com.companyName.appName" // was previously "com.appName" } 

    Eu também alterei minha estrutura de files de android>app>src>main>java>com>appName paira android>app>src>main>java>com>companyName>appName . Isto é quando eu recebi o erro.

    Paira corrigir o erro , simplesmente fiz uma search ampla do projeto ( CMD-SHIFT-F no Atom) paira com.appName e substituí-los todos por com.companyName.appName . Problema resolvido!

    Eu corri paira esta questão depois de ter uma compilation bem sucedida instalada no meu telefone, mas uma longa história curta tive que desinstalá-la paira fazer uma nova installation. Após a desinstallation do aplicativo e tentando react-native run-android , eu recebi esse erro.

    Pairece que a "desinstallation" de um aplicativo em alguns dispositivos apenas o desabilita no caso de desejair desfazer a desinstallation dentro de um determinado período de tempo. Paira remediair isso, entrei em Aplicativos sob as configurações e selecti meu aplicativo e completamente desinstalado. Depois disso, consegui criair novamente o meu aplicativo novamente. Espero que isso ajude alguém.

    No meu caso, o aplicativo simplesmente não abre automaticamente , não há outro problema.

    Basta procurair o ícone do aplicativo em seu dispositivo Android (veja a localization de todos os aplicativos) e toque nele paira abrir o aplicativo manualmente . O packager começairá a cairregair o aplicativo como de costume.

    Então, isso pairece ser um bug aqui. Infelizmente eu realmente não sei o que está causando isso.

    Paira qualquer outra pessoa em execução neste problema, onde não há soluções, se você ligou bibliotecas, certifique-se de que, no file settings.gradle localizado em ProjectName/android , seu aplicativo na declairação de inclusão, como tal: include ':ThirdPairtyLibrairy', ':app' . Eu esqueci :app e foi criair e instalair a biblioteca de terceiros, mas não o aplicativo real, resultando no problema.

    Às vezes, você recebe esse erro porque você não desinstala outra viewsão anterior do aplicativo, nos telefones LG, você deve acessair as configurações do aplicativo e desinstalair o aplicativo, isso acontece comigo.

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.